<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: SRV_UbicacionClienteH.xml */
/* Generado: 2020-08-18 04:21:30 */

/* Mantenimiento de los registros de la tabla SRV_UbicacionClienteH */
abstract class BaseSRV_UbicacionClienteHDP extends SRV_UbicacionClienteHBV
{
    /* Constructor ( Establece los valores desde un objeto SRV_UbicacionClienteHBN ) */
    public function __construct( SRV_UbicacionClienteHBN $o_SRV_UbicacionClienteHBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_SRV_UbicacionClienteHBN ) )
        {
            $this->setByBN( $o_SRV_UbicacionClienteHBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto SRV_UbicacionClienteHBN */
    public function setByBN( SRV_UbicacionClienteHBN $o_SRV_UbicacionClienteHBN )
    {
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getIdUbicacionClienteH() ) )
        {
            $this->setIdUbicacionClienteH( $o_SRV_UbicacionClienteHBN->getIdUbicacionClienteH() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getIdCompania() ) )
        {
            $this->setIdCompania( $o_SRV_UbicacionClienteHBN->getIdCompania() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getIdSucursal() ) )
        {
            $this->setIdSucursal( $o_SRV_UbicacionClienteHBN->getIdSucursal() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getIdAlmacen() ) )
        {
            $this->setIdAlmacen( $o_SRV_UbicacionClienteHBN->getIdAlmacen() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getIdUbicacion() ) )
        {
            $this->setIdUbicacion( $o_SRV_UbicacionClienteHBN->getIdUbicacion() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getIdTipoDocumento() ) )
        {
            $this->setIdTipoDocumento( $o_SRV_UbicacionClienteHBN->getIdTipoDocumento() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getDocumentoCod() ) )
        {
            $this->setDocumentoCod( $o_SRV_UbicacionClienteHBN->getDocumentoCod() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getDocumentoSerie() ) )
        {
            $this->setDocumentoSerie( $o_SRV_UbicacionClienteHBN->getDocumentoSerie() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getDocumentoNumero() ) )
        {
            $this->setDocumentoNumero( $o_SRV_UbicacionClienteHBN->getDocumentoNumero() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getNumeroDocumentoRef() ) )
        {
            $this->setNumeroDocumentoRef( $o_SRV_UbicacionClienteHBN->getNumeroDocumentoRef() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getPeriodo() ) )
        {
            $this->setPeriodo( $o_SRV_UbicacionClienteHBN->getPeriodo() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getFechaDocumento() ) )
        {
            $this->setFechaDocumento( $o_SRV_UbicacionClienteHBN->getFechaDocumento() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getFechaHoraDocumento() ) )
        {
            $this->setFechaHoraDocumento( $o_SRV_UbicacionClienteHBN->getFechaHoraDocumento() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getHoraUbicacion() ) )
        {
            $this->setHoraUbicacion( $o_SRV_UbicacionClienteHBN->getHoraUbicacion() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getFechaHoraSalida() ) )
        {
            $this->setFechaHoraSalida( $o_SRV_UbicacionClienteHBN->getFechaHoraSalida() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getToleranciaUbicacion() ) )
        {
            $this->setToleranciaUbicacion( $o_SRV_UbicacionClienteHBN->getToleranciaUbicacion() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getFechaHoraSalidaReal() ) )
        {
            $this->setFechaHoraSalidaReal( $o_SRV_UbicacionClienteHBN->getFechaHoraSalidaReal() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getMinutosExtra() ) )
        {
            $this->setMinutosExtra( $o_SRV_UbicacionClienteHBN->getMinutosExtra() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getMinutosExtraMonto() ) )
        {
            $this->setMinutosExtraMonto( $o_SRV_UbicacionClienteHBN->getMinutosExtraMonto() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getIdCliente() ) )
        {
            $this->setIdCliente( $o_SRV_UbicacionClienteHBN->getIdCliente() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getTipoDocCliente() ) )
        {
            $this->setTipoDocCliente( $o_SRV_UbicacionClienteHBN->getTipoDocCliente() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getNumeroDocuCliente() ) )
        {
            $this->setNumeroDocuCliente( $o_SRV_UbicacionClienteHBN->getNumeroDocuCliente() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getNombreCliente() ) )
        {
            $this->setNombreCliente( $o_SRV_UbicacionClienteHBN->getNombreCliente() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getDireccionCliente() ) )
        {
            $this->setDireccionCliente( $o_SRV_UbicacionClienteHBN->getDireccionCliente() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getIdItemTarifa() ) )
        {
            $this->setIdItemTarifa( $o_SRV_UbicacionClienteHBN->getIdItemTarifa() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getPrecioTarifa() ) )
        {
            $this->setPrecioTarifa( $o_SRV_UbicacionClienteHBN->getPrecioTarifa() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getEstado() ) )
        {
            $this->setEstado( $o_SRV_UbicacionClienteHBN->getEstado() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getEstadoProceso() ) )
        {
            $this->setEstadoProceso( $o_SRV_UbicacionClienteHBN->getEstadoProceso() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getMostrarAlertaFlag() ) )
        {
            $this->setMostrarAlertaFlag( $o_SRV_UbicacionClienteHBN->getMostrarAlertaFlag() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_SRV_UbicacionClienteHBN->getFechaCreacion() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_SRV_UbicacionClienteHBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_SRV_UbicacionClienteHBN->getFechaModificacion() );
        }
        if ( !is_null( $o_SRV_UbicacionClienteHBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_SRV_UbicacionClienteHBN->getUsuarioModificacion() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_SRV_UbicacionClienteHFN = new SRV_UbicacionClienteHFN();
        $o_SRV_UbicacionClienteHBN = $o_SRV_UbicacionClienteHFN->selectByPk( $this->getIdUbicacionClienteH() );
        if ( is_null( $o_SRV_UbicacionClienteHBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO SRV_UbicacionClienteH ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getIdUbicacionClienteH() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdUbicacionClienteH";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdUbicacionClienteH()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCompania";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdSucursal";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdAlmacen() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdAlmacen";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdAlmacen()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUbicacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdUbicacion";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdUbicacion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTipoDocumento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdTipoDocumento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdTipoDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocumentoCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumentoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoSerie() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocumentoSerie";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumentoSerie()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocumentoNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumentoNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumeroDocumentoRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NumeroDocumentoRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNumeroDocumentoRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeriodo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Periodo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPeriodo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaDocumento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaDocumento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaHoraDocumento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaHoraDocumento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaHoraDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getHoraUbicacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."HoraUbicacion";
                $s_SQLQuery2 .= $s_Separator."".$this->getHoraUbicacion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaHoraSalida() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaHoraSalida";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaHoraSalida()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getToleranciaUbicacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ToleranciaUbicacion";
                $s_SQLQuery2 .= $s_Separator."".$this->getToleranciaUbicacion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaHoraSalidaReal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaHoraSalidaReal";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaHoraSalidaReal()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMinutosExtra() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MinutosExtra";
                $s_SQLQuery2 .= $s_Separator."".$this->getMinutosExtra()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMinutosExtraMonto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MinutosExtraMonto";
                $s_SQLQuery2 .= $s_Separator."".$this->getMinutosExtraMonto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCliente";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCliente()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoDocCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoDocCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumeroDocuCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NumeroDocuCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNumeroDocuCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NombreCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNombreCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDireccionCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DireccionCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDireccionCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItemTarifa() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdItemTarifa";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdItemTarifa()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioTarifa() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioTarifa";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioTarifa()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstadoProceso() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EstadoProceso";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstadoProceso()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMostrarAlertaFlag() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MostrarAlertaFlag";
                $s_SQLQuery2 .= $s_Separator."".$this->getMostrarAlertaFlag()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE SRV_UbicacionClienteH SET ";
            $s_Separator = "";
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCompania = ".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery .= $s_Separator."IdSucursal = ".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdAlmacen() ) )
            {
                $s_SQLQuery .= $s_Separator."IdAlmacen = '".$this->getIdAlmacen()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUbicacion() ) )
            {
                $s_SQLQuery .= $s_Separator."IdUbicacion = ".$this->getIdUbicacion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTipoDocumento() ) )
            {
                $s_SQLQuery .= $s_Separator."IdTipoDocumento = '".$this->getIdTipoDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoCod() ) )
            {
                $s_SQLQuery .= $s_Separator."DocumentoCod = '".$this->getDocumentoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoSerie() ) )
            {
                $s_SQLQuery .= $s_Separator."DocumentoSerie = '".$this->getDocumentoSerie()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."DocumentoNumero = '".$this->getDocumentoNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumeroDocumentoRef() ) )
            {
                $s_SQLQuery .= $s_Separator."NumeroDocumentoRef = '".$this->getNumeroDocumentoRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeriodo() ) )
            {
                $s_SQLQuery .= $s_Separator."Periodo = '".$this->getPeriodo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaDocumento() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaDocumento = '".$this->getFechaDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaHoraDocumento() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaHoraDocumento = '".$this->getFechaHoraDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getHoraUbicacion() ) )
            {
                $s_SQLQuery .= $s_Separator."HoraUbicacion = ".$this->getHoraUbicacion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaHoraSalida() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaHoraSalida = '".$this->getFechaHoraSalida()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getToleranciaUbicacion() ) )
            {
                $s_SQLQuery .= $s_Separator."ToleranciaUbicacion = ".$this->getToleranciaUbicacion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaHoraSalidaReal() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaHoraSalidaReal = '".$this->getFechaHoraSalidaReal()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMinutosExtra() ) )
            {
                $s_SQLQuery .= $s_Separator."MinutosExtra = ".$this->getMinutosExtra()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMinutosExtraMonto() ) )
            {
                $s_SQLQuery .= $s_Separator."MinutosExtraMonto = ".$this->getMinutosExtraMonto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCliente = ".$this->getIdCliente()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoDocCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoDocCliente = '".$this->getTipoDocCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumeroDocuCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."NumeroDocuCliente = '".$this->getNumeroDocuCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."NombreCliente = '".$this->getNombreCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDireccionCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."DireccionCliente = '".$this->getDireccionCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItemTarifa() ) )
            {
                $s_SQLQuery .= $s_Separator."IdItemTarifa = '".$this->getIdItemTarifa()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioTarifa() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioTarifa = ".$this->getPrecioTarifa()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstadoProceso() ) )
            {
                $s_SQLQuery .= $s_Separator."EstadoProceso = '".$this->getEstadoProceso()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMostrarAlertaFlag() ) )
            {
                $s_SQLQuery .= $s_Separator."MostrarAlertaFlag = ".$this->getMostrarAlertaFlag()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  IdUbicacionClienteH = ".$this->getIdUbicacionClienteH().";";
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM SRV_UbicacionClienteH WHERE  IdUbicacionClienteH = ".$this->getIdUbicacionClienteH().";";
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        return true;
    }

}
?>